import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _PKAutomaticReloadPaymentSummaryItem } from "./PKAutomaticReloadPaymentSummaryItem.js";
export declare class _PKAutomaticReloadPaymentRequest extends _NSObject {
    static alloc(): _PKAutomaticReloadPaymentRequest;
    static new(): _PKAutomaticReloadPaymentRequest;
    init(): _PKAutomaticReloadPaymentRequest;
    initWithPaymentDescription$automaticReloadBilling$managementURL$(paymentDescription: _NSString, automaticReloadBilling: _PKAutomaticReloadPaymentSummaryItem, managementURL: _NSURL): _PKAutomaticReloadPaymentRequest;
    /** A description of the automatic reload, for example "Gift Card Reload". */
    paymentDescription(): _NSString;
    setPaymentDescription$(value: _NSString): void;
    /**
     * Details about the automatic reload payment, for example "top-up with $20 when account reaches $5".
     */
    automaticReloadBilling(): _PKAutomaticReloadPaymentSummaryItem;
    setAutomaticReloadBilling$(value: _PKAutomaticReloadPaymentSummaryItem): void;
    /**
     * Optional, localized billing agreement to be displayed to the user prior to payment authorization. This may include further details about the threshold amount or reload conditions.
     */
    billingAgreement(): _NSString | null;
    setBillingAgreement$(value: _NSString | null): void;
    /**
     * A URL that links to a page on your web site where the user can manage the payment method for this automatic reload payment, including deleting it.
     */
    managementURL(): _NSURL;
    setManagementURL$(value: _NSURL): void;
    /**
     * Optional URL to receive lifecycle notifications for the merchant-specific payment token issued for this request, if applicable. If this property is not set, notifications will not be sent when lifecycle changes occur for the token, for example when the token is deleted.
     */
    tokenNotificationURL(): _NSURL | null;
    setTokenNotificationURL$(value: _NSURL | null): void;
}
